templates:
- github
- cmake-cpp
- base

catalog:
  title: DLIB C++ Library

variables:
  description: >-
    A toolkit for making real world machine learning and data analysis
    applications in C++
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: davisking
  homepage.url: http://dlib.net

  sub-directory: dlib
  branches:
  - master
  tags:
  - v18.18
  - v19.0
  - v19.1
  - v19.2
  - v19.6
  - v19.7
  - v19.9
  - v19.14

  extra-provides:
  - nature: cmake
    target: dlib
  extra-requires:
  - nature: freestyle
    target: cudnn
  - nature: freestyle
    target: cuda

  cmake.build-type: Release
  cmake.options:
  - BUILD_SHARED_LIBS=ON
  - '@{next-value|[]}'
